---
type: api
title: Claim a link id
description: Claim the ownership of a link id.
url: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-claim-traffic-filter-link-id
resource: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-claim-traffic-filter-link-id
products:
  - Elastic Cloud Enterprise
---

# Claim a link id

Authentication: required

## Paths

- `POST` `/deployments/traffic-filter/link-ids/_claim`

## Description

Claim the ownership of a link id.

## Request body

The specification for traffic filter claimed link id.

`application/json`

- `link_id` (string) — optional
  Link id. A GCP private service connect ID or AWS VPC endpoint ID
- `azure_endpoint_name` (string) — optional
  Name of the Azure Private Endpoint to allow connections from
- `azure_endpoint_guid` (string) — optional
  Resource GUID of the Azure Private Endpoint to allow connections from
- `region` (string) — required
  The claimed link id can be used only for traffic filter in the specific region

## Responses

#### `201`

The ruleset definition is valid and the creation has started.

`application/json`

- `link_id` (string)
  Link id. A GCP private service connect ID or AWS VPC endpoint ID
- `azure_endpoint_name` (string)
  Name of the Azure Private Endpoint to allow connections from
- `azure_endpoint_guid` (string)
  Resource GUID of the Azure Private Endpoint to allow connections from
- `region` (string)
  The claimed link id can be used only for traffic filter in the specific region
#### `500`

Error creating the traffic filter ruleset. (code: `traffic_filter_claimed_link_id.request_execution_failed`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code examples

#### curl

```curl
curl -X POST "${API_URL}/deployments/traffic-filter/link-ids/_claim" \
  -u "${USERNAME}:${PASSWORD}" \
  -H "Content-Type: application/json" \
  -d '{
    "region": "string"
  }'
```

## Response examples

#### 201

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "link_id": "string",
  "azure_endpoint_name": "string",
  "azure_endpoint_guid": "string",
  "region": "string"
}
```

#### 500

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

